/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_QUEUE_WINDOW_H
#define OCARINA_GUI_QUEUE_WINDOW_H

extern "C" {
#include <core/containers/set.h>
#include <gui/queue.h>
}
#include <gtkmm.h>

class QueueWindow : public Gtk::ScrolledWindow {
public:
	Glib::RefPtr<Gtk::Builder> _builder;

	Gtk::TreeView *q_treeview;

	QueueWindow(BaseObjectType *, const Glib::RefPtr<Gtk::Builder>);
	~QueueWindow();
	void init(queue *);

	bool on_key_press(GdkEventKey *);
};

#endif /* OCARINA_GUI_QUEUE_WINDOW_H */
